"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validate = void 0;
const tslib_1 = require("tslib");
const validate_1 = require("@kubernetes-models/validate");
exports.validate = validate26;
exports.default = validate26;
const schema12 = { type: "string", enum: ["gateway.networking.k8s.io/v1alpha2"] };
function validate27(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("gateway.networking.k8s.io/v1alpha2" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema12.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate27.errors = vErrors, 0 === errors; }
const schema13 = { type: "string", enum: ["BackendTLSPolicy"] };
function validate29(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("BackendTLSPolicy" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema13.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate29.errors = vErrors, 0 === errors; }
const IoK8sApimachineryPkgApisMetaV1ObjectMeta_1 = tslib_1.__importDefault(require("@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta"));
function validate32(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; return (0, IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.default)(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.default.errors : vErrors.concat(IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.default.errors), errors = vErrors.length), validate32.errors = vErrors, 0 === errors; }
function validate36(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "null" }, message: "must be null" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate36.errors = vErrors, 0 === errors; }
function validate31(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; const _errs0 = errors; let valid0 = !1, passing0 = null; const _errs1 = errors; validate32(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate32.errors : vErrors.concat(validate32.errors), errors = vErrors.length), (_valid0 = _errs1 === errors) && (valid0 = !0, passing0 = 0); const _errs2 = errors; var _valid0; if (validate36(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate36.errors : vErrors.concat(validate36.errors), errors = vErrors.length), (_valid0 = _errs2 === errors) && valid0 ? (valid0 = !1, passing0 = [passing0, 1]) : _valid0 && (valid0 = !0, passing0 = 1), valid0)
    errors = _errs0, null !== vErrors && (_errs0 ? vErrors.length = _errs0 : vErrors = null);
else {
    const err0 = { instancePath, schemaPath: "#/oneOf", keyword: "oneOf", params: { passingSchemas: passing0 }, message: "must match exactly one schema in oneOf" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate31.errors = vErrors, 0 === errors; }
const ucs2length_1 = tslib_1.__importDefault(require("@kubernetes-models/validate/runtime/ucs2length"));
const pattern0 = new RegExp("^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$", "u");
function validate21(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 253) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (!pattern0.test(data)) {
        const err1 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$" }, message: 'must match pattern "^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$"' };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate21.errors = vErrors, 0 === errors; }
const pattern1 = new RegExp("^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$", "u");
function validate22(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 63) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 63 }, message: "must NOT have more than 63 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern1.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$" }, message: 'must match pattern "^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate22.errors = vErrors, 0 === errors; }
function validate23(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 253) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate23.errors = vErrors, 0 === errors; }
const pattern2 = new RegExp("^[a-z0-9]([-a-z0-9]*[a-z0-9])?$", "u");
function validate24(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 63) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 63 }, message: "must NOT have more than 63 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err2 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!pattern2.test(data)) {
        const err3 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-z0-9]([-a-z0-9]*[a-z0-9])?$" }, message: 'must match pattern "^[a-z0-9]([-a-z0-9]*[a-z0-9])?$"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate24.errors = vErrors, 0 === errors; }
const pattern3 = new RegExp("^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$", "u");
function validate25(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 253) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err2 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!pattern3.test(data)) {
        const err3 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$" }, message: 'must match pattern "^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate25.errors = vErrors, 0 === errors; }
function validate40(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.group) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "group" }, message: "must have required property 'group'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.kind) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "kind" }, message: "must have required property 'kind'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.name) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "name" }, message: "must have required property 'name'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    void 0 !== data.group && (validate21(data.group, { instancePath: instancePath + "/group", parentData: data, parentDataProperty: "group", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.kind && (validate22(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.name && (validate23(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), void 0 !== data.namespace && (validate24(data.namespace, { instancePath: instancePath + "/namespace", parentData: data, parentDataProperty: "namespace", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), void 0 !== data.sectionName && (validate25(data.sectionName, { instancePath: instancePath + "/sectionName", parentData: data, parentDataProperty: "sectionName", rootData }) || (vErrors = null === vErrors ? validate25.errors : vErrors.concat(validate25.errors), errors = vErrors.length));
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate40.errors = vErrors, 0 === errors; }
function validate49(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.group) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "group" }, message: "must have required property 'group'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.kind) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "kind" }, message: "must have required property 'kind'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.name) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "name" }, message: "must have required property 'name'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    void 0 !== data.group && (validate21(data.group, { instancePath: instancePath + "/group", parentData: data, parentDataProperty: "group", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.kind && (validate22(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.name && (validate23(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length));
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate49.errors = vErrors, 0 === errors; }
function validate48(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    if (data.length > 8) {
        const err1 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 8 }, message: "must NOT have more than 8 items" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate49(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate49.errors : vErrors.concat(validate49.errors), errors = vErrors.length);
} return validate48.errors = vErrors, 0 === errors; }
function validate55(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 253) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern3.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$" }, message: 'must match pattern "^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate55.errors = vErrors, 0 === errors; }
const schema24 = { enum: ["System"], type: "string", nullable: !0 };
function validate57(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("System" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema24.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate57.errors = vErrors, 0 === errors; }
function validate47(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.hostname) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "hostname" }, message: "must have required property 'hostname'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    void 0 !== data.caCertRefs && (validate48(data.caCertRefs, { instancePath: instancePath + "/caCertRefs", parentData: data, parentDataProperty: "caCertRefs", rootData }) || (vErrors = null === vErrors ? validate48.errors : vErrors.concat(validate48.errors), errors = vErrors.length)), void 0 !== data.hostname && (validate55(data.hostname, { instancePath: instancePath + "/hostname", parentData: data, parentDataProperty: "hostname", rootData }) || (vErrors = null === vErrors ? validate55.errors : vErrors.concat(validate55.errors), errors = vErrors.length)), void 0 !== data.wellKnownCACerts && (validate57(data.wellKnownCACerts, { instancePath: instancePath + "/wellKnownCACerts", parentData: data, parentDataProperty: "wellKnownCACerts", rootData }) || (vErrors = null === vErrors ? validate57.errors : vErrors.concat(validate57.errors), errors = vErrors.length));
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate47.errors = vErrors, 0 === errors; }
function validate39(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.targetRef) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "targetRef" }, message: "must have required property 'targetRef'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.tls) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "tls" }, message: "must have required property 'tls'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    void 0 !== data.targetRef && (validate40(data.targetRef, { instancePath: instancePath + "/targetRef", parentData: data, parentDataProperty: "targetRef", rootData }) || (vErrors = null === vErrors ? validate40.errors : vErrors.concat(validate40.errors), errors = vErrors.length)), void 0 !== data.tls && (validate47(data.tls, { instancePath: instancePath + "/tls", parentData: data, parentDataProperty: "tls", rootData }) || (vErrors = null === vErrors ? validate47.errors : vErrors.concat(validate47.errors), errors = vErrors.length));
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate39.errors = vErrors, 0 === errors; }
function validate65(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 253) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern0.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$" }, message: 'must match pattern "^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
} return validate65.errors = vErrors, 0 === errors; }
function validate67(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 63) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 63 }, message: "must NOT have more than 63 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err2 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!pattern1.test(data)) {
        const err3 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$" }, message: 'must match pattern "^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate67.errors = vErrors, 0 === errors; }
const formats0 = validate_1.formats.int32;
function validate71(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (("number" != typeof data || data % 1 || isNaN(data) || !isFinite(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "integer" }, message: "must be integer" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("number" == typeof data && isFinite(data)) {
    if (data > 65535 || isNaN(data)) {
        const err1 = { instancePath, schemaPath: "#/maximum", keyword: "maximum", params: { comparison: "<=", limit: 65535 }, message: "must be <= 65535" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (data < 1 || isNaN(data)) {
        const err2 = { instancePath, schemaPath: "#/minimum", keyword: "minimum", params: { comparison: ">=", limit: 1 }, message: "must be >= 1" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!formats0.validate(data)) {
        const err3 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "int32" }, message: 'must match format "int32"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate71.errors = vErrors, 0 === errors; }
function validate64(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.name) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "name" }, message: "must have required property 'name'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    void 0 !== data.group && (validate65(data.group, { instancePath: instancePath + "/group", parentData: data, parentDataProperty: "group", rootData }) || (vErrors = null === vErrors ? validate65.errors : vErrors.concat(validate65.errors), errors = vErrors.length)), void 0 !== data.kind && (validate67(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate67.errors : vErrors.concat(validate67.errors), errors = vErrors.length)), void 0 !== data.name && (validate23(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), void 0 !== data.namespace && (validate24(data.namespace, { instancePath: instancePath + "/namespace", parentData: data, parentDataProperty: "namespace", rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length)), void 0 !== data.port && (validate71(data.port, { instancePath: instancePath + "/port", parentData: data, parentDataProperty: "port", rootData }) || (vErrors = null === vErrors ? validate71.errors : vErrors.concat(validate71.errors), errors = vErrors.length)), void 0 !== data.sectionName && (validate25(data.sectionName, { instancePath: instancePath + "/sectionName", parentData: data, parentDataProperty: "sectionName", rootData }) || (vErrors = null === vErrors ? validate25.errors : vErrors.concat(validate25.errors), errors = vErrors.length));
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate64.errors = vErrors, 0 === errors; }
const formats2 = validate_1.formats["date-time"];
function validate77(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if (!formats2.validate(data)) {
        const err0 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "date-time" }, message: 'must match format "date-time"' };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate77.errors = vErrors, 0 === errors; }
function validate79(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 32768) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 32768 }, message: "must NOT have more than 32768 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate79.errors = vErrors, 0 === errors; }
const formats4 = validate_1.formats.int64;
function validate81(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (("number" != typeof data || data % 1 || isNaN(data) || !isFinite(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "integer" }, message: "must be integer" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("number" == typeof data && isFinite(data)) {
    if (data < 0 || isNaN(data)) {
        const err1 = { instancePath, schemaPath: "#/minimum", keyword: "minimum", params: { comparison: ">=", limit: 0 }, message: "must be >= 0" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!formats4.validate(data)) {
        const err2 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "int64" }, message: 'must match format "int64"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
} return validate81.errors = vErrors, 0 === errors; }
const pattern7 = new RegExp("^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$", "u");
function validate83(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 1024) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 1024 }, message: "must NOT have more than 1024 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern7.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$" }, message: 'must match pattern "^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate83.errors = vErrors, 0 === errors; }
const schema38 = { enum: ["True", "False", "Unknown"], type: "string" };
function validate85(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("True" !== data && "False" !== data && "Unknown" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema38.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate85.errors = vErrors, 0 === errors; }
const pattern8 = new RegExp("^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$", "u");
function validate87(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 316) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 316 }, message: "must NOT have more than 316 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (!pattern8.test(data)) {
        const err1 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$" }, message: 'must match pattern "^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$"' };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate87.errors = vErrors, 0 === errors; }
function validate76(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.lastTransitionTime) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "lastTransitionTime" }, message: "must have required property 'lastTransitionTime'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.message) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "message" }, message: "must have required property 'message'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.reason) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "reason" }, message: "must have required property 'reason'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (void 0 === data.status) {
        const err3 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "status" }, message: "must have required property 'status'" };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
    if (void 0 === data.type) {
        const err4 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "type" }, message: "must have required property 'type'" };
        null === vErrors ? vErrors = [err4] : vErrors.push(err4), errors++;
    }
    void 0 !== data.lastTransitionTime && (validate77(data.lastTransitionTime, { instancePath: instancePath + "/lastTransitionTime", parentData: data, parentDataProperty: "lastTransitionTime", rootData }) || (vErrors = null === vErrors ? validate77.errors : vErrors.concat(validate77.errors), errors = vErrors.length)), void 0 !== data.message && (validate79(data.message, { instancePath: instancePath + "/message", parentData: data, parentDataProperty: "message", rootData }) || (vErrors = null === vErrors ? validate79.errors : vErrors.concat(validate79.errors), errors = vErrors.length)), void 0 !== data.observedGeneration && (validate81(data.observedGeneration, { instancePath: instancePath + "/observedGeneration", parentData: data, parentDataProperty: "observedGeneration", rootData }) || (vErrors = null === vErrors ? validate81.errors : vErrors.concat(validate81.errors), errors = vErrors.length)), void 0 !== data.reason && (validate83(data.reason, { instancePath: instancePath + "/reason", parentData: data, parentDataProperty: "reason", rootData }) || (vErrors = null === vErrors ? validate83.errors : vErrors.concat(validate83.errors), errors = vErrors.length)), void 0 !== data.status && (validate85(data.status, { instancePath: instancePath + "/status", parentData: data, parentDataProperty: "status", rootData }) || (vErrors = null === vErrors ? validate85.errors : vErrors.concat(validate85.errors), errors = vErrors.length)), void 0 !== data.type && (validate87(data.type, { instancePath: instancePath + "/type", parentData: data, parentDataProperty: "type", rootData }) || (vErrors = null === vErrors ? validate87.errors : vErrors.concat(validate87.errors), errors = vErrors.length));
}
else {
    const err5 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err5] : vErrors.push(err5), errors++;
} return validate76.errors = vErrors, 0 === errors; }
function validate75(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    if (data.length > 8) {
        const err1 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 8 }, message: "must NOT have more than 8 items" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (data.length < 1) {
        const err2 = { instancePath, schemaPath: "#/minItems", keyword: "minItems", params: { limit: 1 }, message: "must NOT have fewer than 1 items" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate76(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate76.errors : vErrors.concat(validate76.errors), errors = vErrors.length);
} return validate75.errors = vErrors, 0 === errors; }
const pattern9 = new RegExp("^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/[A-Za-z0-9\\/\\-._~%!$&'()*+,;=:]+$", "u");
function validate91(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 253) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern9.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/[A-Za-z0-9\\/\\-._~%!$&'()*+,;=:]+$" }, message: 'must match pattern "^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/[A-Za-z0-9\\/\\-._~%!$&\'()*+,;=:]+$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate91.errors = vErrors, 0 === errors; }
function validate63(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.ancestorRef) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "ancestorRef" }, message: "must have required property 'ancestorRef'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.controllerName) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "controllerName" }, message: "must have required property 'controllerName'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    void 0 !== data.ancestorRef && (validate64(data.ancestorRef, { instancePath: instancePath + "/ancestorRef", parentData: data, parentDataProperty: "ancestorRef", rootData }) || (vErrors = null === vErrors ? validate64.errors : vErrors.concat(validate64.errors), errors = vErrors.length)), void 0 !== data.conditions && (validate75(data.conditions, { instancePath: instancePath + "/conditions", parentData: data, parentDataProperty: "conditions", rootData }) || (vErrors = null === vErrors ? validate75.errors : vErrors.concat(validate75.errors), errors = vErrors.length)), void 0 !== data.controllerName && (validate91(data.controllerName, { instancePath: instancePath + "/controllerName", parentData: data, parentDataProperty: "controllerName", rootData }) || (vErrors = null === vErrors ? validate91.errors : vErrors.concat(validate91.errors), errors = vErrors.length));
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate63.errors = vErrors, 0 === errors; }
function validate62(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (Array.isArray(data)) {
    if (data.length > 16) {
        const err0 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 16 }, message: "must NOT have more than 16 items" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate63(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate63.errors : vErrors.concat(validate63.errors), errors = vErrors.length);
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate62.errors = vErrors, 0 === errors; }
function validate61(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.ancestors) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "ancestors" }, message: "must have required property 'ancestors'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    void 0 !== data.ancestors && (validate62(data.ancestors, { instancePath: instancePath + "/ancestors", parentData: data, parentDataProperty: "ancestors", rootData }) || (vErrors = null === vErrors ? validate62.errors : vErrors.concat(validate62.errors), errors = vErrors.length));
} return validate61.errors = vErrors, 0 === errors; }
function validate26(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.spec) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "spec" }, message: "must have required property 'spec'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.apiVersion) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "apiVersion" }, message: "must have required property 'apiVersion'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.kind) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "kind" }, message: "must have required property 'kind'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    void 0 !== data.apiVersion && (validate27(data.apiVersion, { instancePath: instancePath + "/apiVersion", parentData: data, parentDataProperty: "apiVersion", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length)), void 0 !== data.kind && (validate29(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length)), void 0 !== data.metadata && (validate31(data.metadata, { instancePath: instancePath + "/metadata", parentData: data, parentDataProperty: "metadata", rootData }) || (vErrors = null === vErrors ? validate31.errors : vErrors.concat(validate31.errors), errors = vErrors.length)), void 0 !== data.spec && (validate39(data.spec, { instancePath: instancePath + "/spec", parentData: data, parentDataProperty: "spec", rootData }) || (vErrors = null === vErrors ? validate39.errors : vErrors.concat(validate39.errors), errors = vErrors.length)), void 0 !== data.status && (validate61(data.status, { instancePath: instancePath + "/status", parentData: data, parentDataProperty: "status", rootData }) || (vErrors = null === vErrors ? validate61.errors : vErrors.concat(validate61.errors), errors = vErrors.length));
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate26.errors = vErrors, 0 === errors; }
