"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validate = void 0;
const tslib_1 = require("tslib");
const validate_1 = require("@kubernetes-models/validate");
exports.validate = validate48;
exports.default = validate48;
const schema23 = { type: "string", enum: ["gateway.networking.k8s.io/v1alpha2"] };
function validate49(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("gateway.networking.k8s.io/v1alpha2" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema23.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate49.errors = vErrors, 0 === errors; }
const schema24 = { type: "string", enum: ["Gateway"] };
function validate51(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("Gateway" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema24.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate51.errors = vErrors, 0 === errors; }
const IoK8sApimachineryPkgApisMetaV1ObjectMeta_1 = tslib_1.__importDefault(require("@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta"));
function validate54(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; return (0, IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.default)(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.default.errors : vErrors.concat(IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.default.errors), errors = vErrors.length), validate54.errors = vErrors, 0 === errors; }
function validate58(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "null" }, message: "must be null" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate58.errors = vErrors, 0 === errors; }
function validate53(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; const _errs0 = errors; let valid0 = !1, passing0 = null; const _errs1 = errors; validate54(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate54.errors : vErrors.concat(validate54.errors), errors = vErrors.length), (_valid0 = _errs1 === errors) && (valid0 = !0, passing0 = 0); const _errs2 = errors; var _valid0; if (validate58(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate58.errors : vErrors.concat(validate58.errors), errors = vErrors.length), (_valid0 = _errs2 === errors) && valid0 ? (valid0 = !1, passing0 = [passing0, 1]) : _valid0 && (valid0 = !0, passing0 = 1), valid0)
    errors = _errs0, null !== vErrors && (_errs0 ? vErrors.length = _errs0 : vErrors = null);
else {
    const err0 = { instancePath, schemaPath: "#/oneOf", keyword: "oneOf", params: { passingSchemas: passing0 }, message: "must match exactly one schema in oneOf" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate53.errors = vErrors, 0 === errors; }
const ucs2length_1 = tslib_1.__importDefault(require("@kubernetes-models/validate/runtime/ucs2length"));
const pattern0 = new RegExp("^Hostname|IPAddress|NamedAddress|[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/[A-Za-z0-9\\/\\-._~%!$&'()*+,;=:]+$", "u");
function validate25(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 253) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err2 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!pattern0.test(data)) {
        const err3 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^Hostname|IPAddress|NamedAddress|[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/[A-Za-z0-9\\/\\-._~%!$&'()*+,;=:]+$" }, message: 'must match pattern "^Hostname|IPAddress|NamedAddress|[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/[A-Za-z0-9\\/\\-._~%!$&\'()*+,;=:]+$"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate25.errors = vErrors, 0 === errors; }
function validate21(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 253) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate21.errors = vErrors, 0 === errors; }
function validate24(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.value) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "value" }, message: "must have required property 'value'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    void 0 !== data.type && (validate25(data.type, { instancePath: instancePath + "/type", parentData: data, parentDataProperty: "type", rootData }) || (vErrors = null === vErrors ? validate25.errors : vErrors.concat(validate25.errors), errors = vErrors.length)), void 0 !== data.value && (validate21(data.value, { instancePath: instancePath + "/value", parentData: data, parentDataProperty: "value", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length));
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate24.errors = vErrors, 0 === errors; }
function validate23(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    if (data.length > 16) {
        const err1 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 16 }, message: "must NOT have more than 16 items" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate24(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate24.errors : vErrors.concat(validate24.errors), errors = vErrors.length);
} return validate23.errors = vErrors, 0 === errors; }
const pattern4 = new RegExp("^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$", "u");
function validate44(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 253) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern4.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$" }, message: 'must match pattern "^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
} return validate44.errors = vErrors, 0 === errors; }
const pattern5 = new RegExp("^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$", "u");
function validate46(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 63) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 63 }, message: "must NOT have more than 63 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern5.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$" }, message: 'must match pattern "^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate46.errors = vErrors, 0 === errors; }
function validate43(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.kind) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "kind" }, message: "must have required property 'kind'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    void 0 !== data.group && (validate44(data.group, { instancePath: instancePath + "/group", parentData: data, parentDataProperty: "group", rootData }) || (vErrors = null === vErrors ? validate44.errors : vErrors.concat(validate44.errors), errors = vErrors.length)), void 0 !== data.kind && (validate46(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate46.errors : vErrors.concat(validate46.errors), errors = vErrors.length));
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate43.errors = vErrors, 0 === errors; }
function validate67(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    if (data.length > 8) {
        const err1 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 8 }, message: "must NOT have more than 8 items" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate43(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate43.errors : vErrors.concat(validate43.errors), errors = vErrors.length);
} return validate67.errors = vErrors, 0 === errors; }
const schema35 = { default: "Same", enum: ["All", "Selector", "Same"], type: "string", nullable: !0 };
function validate71(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("All" !== data && "Selector" !== data && "Same" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema35.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate71.errors = vErrors, 0 === errors; }
function validate22(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate22.errors = vErrors, 0 === errors; }
function validate78(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate22(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length);
} return validate78.errors = vErrors, 0 === errors; }
function validate75(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.key) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "key" }, message: "must have required property 'key'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.operator) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "operator" }, message: "must have required property 'operator'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    void 0 !== data.key && (validate22(data.key, { instancePath: instancePath + "/key", parentData: data, parentDataProperty: "key", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.operator && (validate22(data.operator, { instancePath: instancePath + "/operator", parentData: data, parentDataProperty: "operator", rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length)), void 0 !== data.values && (validate78(data.values, { instancePath: instancePath + "/values", parentData: data, parentDataProperty: "values", rootData }) || (vErrors = null === vErrors ? validate78.errors : vErrors.concat(validate78.errors), errors = vErrors.length));
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate75.errors = vErrors, 0 === errors; }
function validate74(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate75(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate75.errors : vErrors.concat(validate75.errors), errors = vErrors.length);
} return validate74.errors = vErrors, 0 === errors; }
function validate83(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (data && "object" == typeof data && !Array.isArray(data))
    for (const key0 in data)
        validate22(data[key0], { instancePath: instancePath + "/" + key0.replace(/~/g, "~0").replace(/\//g, "~1"), parentData: data, parentDataProperty: key0, rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length); return validate83.errors = vErrors, 0 === errors; }
function validate73(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.matchExpressions && (validate74(data.matchExpressions, { instancePath: instancePath + "/matchExpressions", parentData: data, parentDataProperty: "matchExpressions", rootData }) || (vErrors = null === vErrors ? validate74.errors : vErrors.concat(validate74.errors), errors = vErrors.length)), void 0 !== data.matchLabels && (validate83(data.matchLabels, { instancePath: instancePath + "/matchLabels", parentData: data, parentDataProperty: "matchLabels", rootData }) || (vErrors = null === vErrors ? validate83.errors : vErrors.concat(validate83.errors), errors = vErrors.length))), validate73.errors = vErrors, 0 === errors; }
function validate70(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.from && (validate71(data.from, { instancePath: instancePath + "/from", parentData: data, parentDataProperty: "from", rootData }) || (vErrors = null === vErrors ? validate71.errors : vErrors.concat(validate71.errors), errors = vErrors.length)), void 0 !== data.selector && (validate73(data.selector, { instancePath: instancePath + "/selector", parentData: data, parentDataProperty: "selector", rootData }) || (vErrors = null === vErrors ? validate73.errors : vErrors.concat(validate73.errors), errors = vErrors.length))), validate70.errors = vErrors, 0 === errors; }
function validate66(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.kinds && (validate67(data.kinds, { instancePath: instancePath + "/kinds", parentData: data, parentDataProperty: "kinds", rootData }) || (vErrors = null === vErrors ? validate67.errors : vErrors.concat(validate67.errors), errors = vErrors.length)), void 0 !== data.namespaces && (validate70(data.namespaces, { instancePath: instancePath + "/namespaces", parentData: data, parentDataProperty: "namespaces", rootData }) || (vErrors = null === vErrors ? validate70.errors : vErrors.concat(validate70.errors), errors = vErrors.length))), validate66.errors = vErrors, 0 === errors; }
const pattern6 = new RegExp("^(\\*\\.)?[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$", "u");
function validate89(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 253) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err2 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!pattern6.test(data)) {
        const err3 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^(\\*\\.)?[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$" }, message: 'must match pattern "^(\\*\\.)?[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate89.errors = vErrors, 0 === errors; }
const pattern3 = new RegExp("^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$", "u");
function validate42(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 253) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern3.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$" }, message: 'must match pattern "^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate42.errors = vErrors, 0 === errors; }
const formats4 = validate_1.formats.int32;
function validate92(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("number" != typeof data || data % 1 || isNaN(data) || !isFinite(data)) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "integer" }, message: "must be integer" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("number" == typeof data && isFinite(data)) {
    if (data > 65535 || isNaN(data)) {
        const err1 = { instancePath, schemaPath: "#/maximum", keyword: "maximum", params: { comparison: "<=", limit: 65535 }, message: "must be <= 65535" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (data < 1 || isNaN(data)) {
        const err2 = { instancePath, schemaPath: "#/minimum", keyword: "minimum", params: { comparison: ">=", limit: 1 }, message: "must be >= 1" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!formats4.validate(data)) {
        const err3 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "int32" }, message: 'must match format "int32"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate92.errors = vErrors, 0 === errors; }
const pattern7 = new RegExp("^[a-zA-Z0-9]([-a-zSA-Z0-9]*[a-zA-Z0-9])?$|[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/[A-Za-z0-9]+$", "u");
function validate94(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 255) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 255 }, message: "must NOT have more than 255 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern7.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-zA-Z0-9]([-a-zSA-Z0-9]*[a-zA-Z0-9])?$|[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/[A-Za-z0-9]+$" }, message: 'must match pattern "^[a-zA-Z0-9]([-a-zSA-Z0-9]*[a-zA-Z0-9])?$|[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/[A-Za-z0-9]+$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate94.errors = vErrors, 0 === errors; }
function validate99(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 253) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 253 }, message: "must NOT have more than 253 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern4.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$" }, message: 'must match pattern "^$|^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
} return validate99.errors = vErrors, 0 === errors; }
function validate101(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 63) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 63 }, message: "must NOT have more than 63 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err2 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!pattern5.test(data)) {
        const err3 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$" }, message: 'must match pattern "^[a-zA-Z]([-a-zA-Z0-9]*[a-zA-Z0-9])?$"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate101.errors = vErrors, 0 === errors; }
const pattern10 = new RegExp("^[a-z0-9]([-a-z0-9]*[a-z0-9])?$", "u");
function validate104(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 63) {
        const err1 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 63 }, message: "must NOT have more than 63 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err2 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (!pattern10.test(data)) {
        const err3 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[a-z0-9]([-a-z0-9]*[a-z0-9])?$" }, message: 'must match pattern "^[a-z0-9]([-a-z0-9]*[a-z0-9])?$"' };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
} return validate104.errors = vErrors, 0 === errors; }
function validate98(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.name) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "name" }, message: "must have required property 'name'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    void 0 !== data.group && (validate99(data.group, { instancePath: instancePath + "/group", parentData: data, parentDataProperty: "group", rootData }) || (vErrors = null === vErrors ? validate99.errors : vErrors.concat(validate99.errors), errors = vErrors.length)), void 0 !== data.kind && (validate101(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate101.errors : vErrors.concat(validate101.errors), errors = vErrors.length)), void 0 !== data.name && (validate21(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.namespace && (validate104(data.namespace, { instancePath: instancePath + "/namespace", parentData: data, parentDataProperty: "namespace", rootData }) || (vErrors = null === vErrors ? validate104.errors : vErrors.concat(validate104.errors), errors = vErrors.length));
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate98.errors = vErrors, 0 === errors; }
function validate97(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    if (data.length > 64) {
        const err1 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 64 }, message: "must NOT have more than 64 items" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate98(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate98.errors : vErrors.concat(validate98.errors), errors = vErrors.length);
} return validate97.errors = vErrors, 0 === errors; }
const schema50 = { default: "Terminate", enum: ["Terminate", "Passthrough"], type: "string", nullable: !0 };
function validate108(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("Terminate" !== data && "Passthrough" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema50.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate108.errors = vErrors, 0 === errors; }
function validate111(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 4096) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 4096 }, message: "must NOT have more than 4096 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 0) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 0 }, message: "must NOT have fewer than 0 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate111.errors = vErrors, 0 === errors; }
function validate110(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (data && "object" == typeof data && !Array.isArray(data)) {
    if (Object.keys(data).length > 16) {
        const err1 = { instancePath, schemaPath: "#/maxProperties", keyword: "maxProperties", params: { limit: 16 }, message: "must NOT have more than 16 properties" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    for (const key0 in data)
        validate111(data[key0], { instancePath: instancePath + "/" + key0.replace(/~/g, "~0").replace(/\//g, "~1"), parentData: data, parentDataProperty: key0, rootData }) || (vErrors = null === vErrors ? validate111.errors : vErrors.concat(validate111.errors), errors = vErrors.length);
} return validate110.errors = vErrors, 0 === errors; }
function validate96(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.certificateRefs && (validate97(data.certificateRefs, { instancePath: instancePath + "/certificateRefs", parentData: data, parentDataProperty: "certificateRefs", rootData }) || (vErrors = null === vErrors ? validate97.errors : vErrors.concat(validate97.errors), errors = vErrors.length)), void 0 !== data.mode && (validate108(data.mode, { instancePath: instancePath + "/mode", parentData: data, parentDataProperty: "mode", rootData }) || (vErrors = null === vErrors ? validate108.errors : vErrors.concat(validate108.errors), errors = vErrors.length)), void 0 !== data.options && (validate110(data.options, { instancePath: instancePath + "/options", parentData: data, parentDataProperty: "options", rootData }) || (vErrors = null === vErrors ? validate110.errors : vErrors.concat(validate110.errors), errors = vErrors.length))), validate96.errors = vErrors, 0 === errors; }
function validate65(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.name) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "name" }, message: "must have required property 'name'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.port) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "port" }, message: "must have required property 'port'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.protocol) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "protocol" }, message: "must have required property 'protocol'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    void 0 !== data.allowedRoutes && (validate66(data.allowedRoutes, { instancePath: instancePath + "/allowedRoutes", parentData: data, parentDataProperty: "allowedRoutes", rootData }) || (vErrors = null === vErrors ? validate66.errors : vErrors.concat(validate66.errors), errors = vErrors.length)), void 0 !== data.hostname && (validate89(data.hostname, { instancePath: instancePath + "/hostname", parentData: data, parentDataProperty: "hostname", rootData }) || (vErrors = null === vErrors ? validate89.errors : vErrors.concat(validate89.errors), errors = vErrors.length)), void 0 !== data.name && (validate42(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate42.errors : vErrors.concat(validate42.errors), errors = vErrors.length)), void 0 !== data.port && (validate92(data.port, { instancePath: instancePath + "/port", parentData: data, parentDataProperty: "port", rootData }) || (vErrors = null === vErrors ? validate92.errors : vErrors.concat(validate92.errors), errors = vErrors.length)), void 0 !== data.protocol && (validate94(data.protocol, { instancePath: instancePath + "/protocol", parentData: data, parentDataProperty: "protocol", rootData }) || (vErrors = null === vErrors ? validate94.errors : vErrors.concat(validate94.errors), errors = vErrors.length)), void 0 !== data.tls && (validate96(data.tls, { instancePath: instancePath + "/tls", parentData: data, parentDataProperty: "tls", rootData }) || (vErrors = null === vErrors ? validate96.errors : vErrors.concat(validate96.errors), errors = vErrors.length));
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate65.errors = vErrors, 0 === errors; }
function validate64(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (Array.isArray(data)) {
    if (data.length > 64) {
        const err0 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 64 }, message: "must NOT have more than 64 items" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (data.length < 1) {
        const err1 = { instancePath, schemaPath: "#/minItems", keyword: "minItems", params: { limit: 1 }, message: "must NOT have fewer than 1 items" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate65(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate65.errors : vErrors.concat(validate65.errors), errors = vErrors.length);
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate64.errors = vErrors, 0 === errors; }
function validate61(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.gatewayClassName) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "gatewayClassName" }, message: "must have required property 'gatewayClassName'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.listeners) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "listeners" }, message: "must have required property 'listeners'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    void 0 !== data.addresses && (validate23(data.addresses, { instancePath: instancePath + "/addresses", parentData: data, parentDataProperty: "addresses", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), void 0 !== data.gatewayClassName && (validate21(data.gatewayClassName, { instancePath: instancePath + "/gatewayClassName", parentData: data, parentDataProperty: "gatewayClassName", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.listeners && (validate64(data.listeners, { instancePath: instancePath + "/listeners", parentData: data, parentDataProperty: "listeners", rootData }) || (vErrors = null === vErrors ? validate64.errors : vErrors.concat(validate64.errors), errors = vErrors.length));
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate61.errors = vErrors, 0 === errors; }
const formats0 = validate_1.formats["date-time"];
function validate30(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if (!formats0.validate(data)) {
        const err0 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "date-time" }, message: 'must match format "date-time"' };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate30.errors = vErrors, 0 === errors; }
function validate32(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 32768) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 32768 }, message: "must NOT have more than 32768 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate32.errors = vErrors, 0 === errors; }
const formats2 = validate_1.formats.int64;
function validate34(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (("number" != typeof data || data % 1 || isNaN(data) || !isFinite(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "integer" }, message: "must be integer" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("number" == typeof data && isFinite(data)) {
    if (data < 0 || isNaN(data)) {
        const err1 = { instancePath, schemaPath: "#/minimum", keyword: "minimum", params: { comparison: ">=", limit: 0 }, message: "must be >= 0" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!formats2.validate(data)) {
        const err2 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "int64" }, message: 'must match format "int64"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
} return validate34.errors = vErrors, 0 === errors; }
const pattern1 = new RegExp("^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$", "u");
function validate36(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 1024) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 1024 }, message: "must NOT have more than 1024 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if ((0, ucs2length_1.default)(data) < 1) {
        const err1 = { instancePath, schemaPath: "#/minLength", keyword: "minLength", params: { limit: 1 }, message: "must NOT have fewer than 1 characters" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (!pattern1.test(data)) {
        const err2 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$" }, message: 'must match pattern "^[A-Za-z]([A-Za-z0-9_,:]*[A-Za-z0-9_])?$"' };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate36.errors = vErrors, 0 === errors; }
const schema16 = { enum: ["True", "False", "Unknown"], type: "string" };
function validate38(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("True" !== data && "False" !== data && "Unknown" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema16.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate38.errors = vErrors, 0 === errors; }
const pattern2 = new RegExp("^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$", "u");
function validate40(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" == typeof data) {
    if ((0, ucs2length_1.default)(data) > 316) {
        const err0 = { instancePath, schemaPath: "#/maxLength", keyword: "maxLength", params: { limit: 316 }, message: "must NOT have more than 316 characters" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (!pattern2.test(data)) {
        const err1 = { instancePath, schemaPath: "#/pattern", keyword: "pattern", params: { pattern: "^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$" }, message: 'must match pattern "^([a-z0-9]([-a-z0-9]*[a-z0-9])?(\\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*\\/)?(([A-Za-z0-9][-A-Za-z0-9_.]*)?[A-Za-z0-9])$"' };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
}
else {
    const err2 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
} return validate40.errors = vErrors, 0 === errors; }
function validate29(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.lastTransitionTime) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "lastTransitionTime" }, message: "must have required property 'lastTransitionTime'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.message) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "message" }, message: "must have required property 'message'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.reason) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "reason" }, message: "must have required property 'reason'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (void 0 === data.status) {
        const err3 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "status" }, message: "must have required property 'status'" };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
    if (void 0 === data.type) {
        const err4 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "type" }, message: "must have required property 'type'" };
        null === vErrors ? vErrors = [err4] : vErrors.push(err4), errors++;
    }
    void 0 !== data.lastTransitionTime && (validate30(data.lastTransitionTime, { instancePath: instancePath + "/lastTransitionTime", parentData: data, parentDataProperty: "lastTransitionTime", rootData }) || (vErrors = null === vErrors ? validate30.errors : vErrors.concat(validate30.errors), errors = vErrors.length)), void 0 !== data.message && (validate32(data.message, { instancePath: instancePath + "/message", parentData: data, parentDataProperty: "message", rootData }) || (vErrors = null === vErrors ? validate32.errors : vErrors.concat(validate32.errors), errors = vErrors.length)), void 0 !== data.observedGeneration && (validate34(data.observedGeneration, { instancePath: instancePath + "/observedGeneration", parentData: data, parentDataProperty: "observedGeneration", rootData }) || (vErrors = null === vErrors ? validate34.errors : vErrors.concat(validate34.errors), errors = vErrors.length)), void 0 !== data.reason && (validate36(data.reason, { instancePath: instancePath + "/reason", parentData: data, parentDataProperty: "reason", rootData }) || (vErrors = null === vErrors ? validate36.errors : vErrors.concat(validate36.errors), errors = vErrors.length)), void 0 !== data.status && (validate38(data.status, { instancePath: instancePath + "/status", parentData: data, parentDataProperty: "status", rootData }) || (vErrors = null === vErrors ? validate38.errors : vErrors.concat(validate38.errors), errors = vErrors.length)), void 0 !== data.type && (validate40(data.type, { instancePath: instancePath + "/type", parentData: data, parentDataProperty: "type", rootData }) || (vErrors = null === vErrors ? validate40.errors : vErrors.concat(validate40.errors), errors = vErrors.length));
}
else {
    const err5 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err5] : vErrors.push(err5), errors++;
} return validate29.errors = vErrors, 0 === errors; }
function validate120(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    if (data.length > 8) {
        const err1 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 8 }, message: "must NOT have more than 8 items" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate29(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length);
} return validate120.errors = vErrors, 0 === errors; }
function validate125(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("number" != typeof data || data % 1 || isNaN(data) || !isFinite(data)) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "integer" }, message: "must be integer" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("number" == typeof data && isFinite(data) && !formats4.validate(data)) {
    const err1 = { instancePath, schemaPath: "#/format", keyword: "format", params: { format: "int32" }, message: 'must match format "int32"' };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate125.errors = vErrors, 0 === errors; }
function validate127(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (Array.isArray(data)) {
    if (data.length > 8) {
        const err0 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 8 }, message: "must NOT have more than 8 items" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate29(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length);
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate127.errors = vErrors, 0 === errors; }
function validate131(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (Array.isArray(data)) {
    if (data.length > 8) {
        const err0 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 8 }, message: "must NOT have more than 8 items" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate43(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate43.errors : vErrors.concat(validate43.errors), errors = vErrors.length);
}
else {
    const err1 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate131.errors = vErrors, 0 === errors; }
function validate124(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.attachedRoutes) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "attachedRoutes" }, message: "must have required property 'attachedRoutes'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.conditions) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "conditions" }, message: "must have required property 'conditions'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.name) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "name" }, message: "must have required property 'name'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    if (void 0 === data.supportedKinds) {
        const err3 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "supportedKinds" }, message: "must have required property 'supportedKinds'" };
        null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
    }
    void 0 !== data.attachedRoutes && (validate125(data.attachedRoutes, { instancePath: instancePath + "/attachedRoutes", parentData: data, parentDataProperty: "attachedRoutes", rootData }) || (vErrors = null === vErrors ? validate125.errors : vErrors.concat(validate125.errors), errors = vErrors.length)), void 0 !== data.conditions && (validate127(data.conditions, { instancePath: instancePath + "/conditions", parentData: data, parentDataProperty: "conditions", rootData }) || (vErrors = null === vErrors ? validate127.errors : vErrors.concat(validate127.errors), errors = vErrors.length)), void 0 !== data.name && (validate42(data.name, { instancePath: instancePath + "/name", parentData: data, parentDataProperty: "name", rootData }) || (vErrors = null === vErrors ? validate42.errors : vErrors.concat(validate42.errors), errors = vErrors.length)), void 0 !== data.supportedKinds && (validate131(data.supportedKinds, { instancePath: instancePath + "/supportedKinds", parentData: data, parentDataProperty: "supportedKinds", rootData }) || (vErrors = null === vErrors ? validate131.errors : vErrors.concat(validate131.errors), errors = vErrors.length));
}
else {
    const err4 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err4] : vErrors.push(err4), errors++;
} return validate124.errors = vErrors, 0 === errors; }
function validate123(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    if (data.length > 64) {
        const err1 = { instancePath, schemaPath: "#/maxItems", keyword: "maxItems", params: { limit: 64 }, message: "must NOT have more than 64 items" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate124(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate124.errors : vErrors.concat(validate124.errors), errors = vErrors.length);
} return validate123.errors = vErrors, 0 === errors; }
function validate118(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return data && "object" == typeof data && !Array.isArray(data) && (void 0 !== data.addresses && (validate23(data.addresses, { instancePath: instancePath + "/addresses", parentData: data, parentDataProperty: "addresses", rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length)), void 0 !== data.conditions && (validate120(data.conditions, { instancePath: instancePath + "/conditions", parentData: data, parentDataProperty: "conditions", rootData }) || (vErrors = null === vErrors ? validate120.errors : vErrors.concat(validate120.errors), errors = vErrors.length)), void 0 !== data.listeners && (validate123(data.listeners, { instancePath: instancePath + "/listeners", parentData: data, parentDataProperty: "listeners", rootData }) || (vErrors = null === vErrors ? validate123.errors : vErrors.concat(validate123.errors), errors = vErrors.length))), validate118.errors = vErrors, 0 === errors; }
function validate48(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.spec) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "spec" }, message: "must have required property 'spec'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.apiVersion) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "apiVersion" }, message: "must have required property 'apiVersion'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.kind) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "kind" }, message: "must have required property 'kind'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    void 0 !== data.apiVersion && (validate49(data.apiVersion, { instancePath: instancePath + "/apiVersion", parentData: data, parentDataProperty: "apiVersion", rootData }) || (vErrors = null === vErrors ? validate49.errors : vErrors.concat(validate49.errors), errors = vErrors.length)), void 0 !== data.kind && (validate51(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate51.errors : vErrors.concat(validate51.errors), errors = vErrors.length)), void 0 !== data.metadata && (validate53(data.metadata, { instancePath: instancePath + "/metadata", parentData: data, parentDataProperty: "metadata", rootData }) || (vErrors = null === vErrors ? validate53.errors : vErrors.concat(validate53.errors), errors = vErrors.length)), void 0 !== data.spec && (validate61(data.spec, { instancePath: instancePath + "/spec", parentData: data, parentDataProperty: "spec", rootData }) || (vErrors = null === vErrors ? validate61.errors : vErrors.concat(validate61.errors), errors = vErrors.length)), void 0 !== data.status && (validate118(data.status, { instancePath: instancePath + "/status", parentData: data, parentDataProperty: "status", rootData }) || (vErrors = null === vErrors ? validate118.errors : vErrors.concat(validate118.errors), errors = vErrors.length));
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate48.errors = vErrors, 0 === errors; }
