import { Model, setValidateFunc, createTypeMetaGuard } from "@kubernetes-models/base";
import { validate } from "../../_schemas/GatewayNetworkingK8sIoV1HTTPRoute.mjs";
/**
 * HTTPRoute provides a way to route HTTP requests. This includes the capability to match requests by hostname, path, header, or query param. Filters can be used to specify additional processing steps. Backends specify where matching requests should be routed.
 */
export class HTTPRoute extends Model {
    constructor(data) {
        super({
            apiVersion: HTTPRoute.apiVersion,
            kind: HTTPRoute.kind,
            ...data
        });
    }
}
HTTPRoute.apiVersion = "gateway.networking.k8s.io/v1";
HTTPRoute.kind = "HTTPRoute";
HTTPRoute.is = createTypeMetaGuard(HTTPRoute);
setValidateFunc(HTTPRoute, validate);
