"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BackendTLSPolicy = void 0;
const base_1 = require("@kubernetes-models/base");
const GatewayNetworkingK8sIoV1alpha2BackendTLSPolicy_1 = require("../../_schemas/GatewayNetworkingK8sIoV1alpha2BackendTLSPolicy.js");
/**
 * BackendTLSPolicy provides a way to configure how a Gateway connects to a Backend via TLS.
 */
class BackendTLSPolicy extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: BackendTLSPolicy.apiVersion,
            kind: BackendTLSPolicy.kind,
            ...data
        });
    }
}
exports.BackendTLSPolicy = BackendTLSPolicy;
BackendTLSPolicy.apiVersion = "gateway.networking.k8s.io/v1alpha2";
BackendTLSPolicy.kind = "BackendTLSPolicy";
BackendTLSPolicy.is = (0, base_1.createTypeMetaGuard)(BackendTLSPolicy);
(0, base_1.setValidateFunc)(BackendTLSPolicy, GatewayNetworkingK8sIoV1alpha2BackendTLSPolicy_1.validate);
