import { Model, setValidateFunc, createTypeMetaGuard } from "@kubernetes-models/base";
import { validate } from "../../_schemas/GatewayNetworkingK8sIoV1alpha2BackendTLSPolicy.mjs";
/**
 * BackendTLSPolicy provides a way to configure how a Gateway connects to a Backend via TLS.
 */
export class BackendTLSPolicy extends Model {
    constructor(data) {
        super({
            apiVersion: BackendTLSPolicy.apiVersion,
            kind: BackendTLSPolicy.kind,
            ...data
        });
    }
}
BackendTLSPolicy.apiVersion = "gateway.networking.k8s.io/v1alpha2";
BackendTLSPolicy.kind = "BackendTLSPolicy";
BackendTLSPolicy.is = createTypeMetaGuard(BackendTLSPolicy);
setValidateFunc(BackendTLSPolicy, validate);
