import { Model, setValidateFunc, createTypeMetaGuard } from "@kubernetes-models/base";
import { validate } from "../../_schemas/GatewayNetworkingK8sIoV1alpha2Gateway.mjs";
/**
 * Gateway represents an instance of a service-traffic handling infrastructure by binding Listeners to a set of IP addresses.
 */
export class Gateway extends Model {
    constructor(data) {
        super({
            apiVersion: Gateway.apiVersion,
            kind: Gateway.kind,
            ...data
        });
    }
}
Gateway.apiVersion = "gateway.networking.k8s.io/v1alpha2";
Gateway.kind = "Gateway";
Gateway.is = createTypeMetaGuard(Gateway);
setValidateFunc(Gateway, validate);
