"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TCPRoute = void 0;
const base_1 = require("@kubernetes-models/base");
const GatewayNetworkingK8sIoV1alpha2TCPRoute_1 = require("../../_schemas/GatewayNetworkingK8sIoV1alpha2TCPRoute.js");
/**
 * TCPRoute provides a way to route TCP requests. When combined with a Gateway listener, it can be used to forward connections on the port specified by the listener to a set of backends specified by the TCPRoute.
 */
class TCPRoute extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: TCPRoute.apiVersion,
            kind: TCPRoute.kind,
            ...data
        });
    }
}
exports.TCPRoute = TCPRoute;
TCPRoute.apiVersion = "gateway.networking.k8s.io/v1alpha2";
TCPRoute.kind = "TCPRoute";
TCPRoute.is = (0, base_1.createTypeMetaGuard)(TCPRoute);
(0, base_1.setValidateFunc)(TCPRoute, GatewayNetworkingK8sIoV1alpha2TCPRoute_1.validate);
