import { Model, setValidateFunc, createTypeMetaGuard } from "@kubernetes-models/base";
import { validate } from "../../_schemas/GatewayNetworkingK8sIoV1alpha2TCPRoute.mjs";
/**
 * TCPRoute provides a way to route TCP requests. When combined with a Gateway listener, it can be used to forward connections on the port specified by the listener to a set of backends specified by the TCPRoute.
 */
export class TCPRoute extends Model {
    constructor(data) {
        super({
            apiVersion: TCPRoute.apiVersion,
            kind: TCPRoute.kind,
            ...data
        });
    }
}
TCPRoute.apiVersion = "gateway.networking.k8s.io/v1alpha2";
TCPRoute.kind = "TCPRoute";
TCPRoute.is = createTypeMetaGuard(TCPRoute);
setValidateFunc(TCPRoute, validate);
