"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TLSRoute = void 0;
const base_1 = require("@kubernetes-models/base");
const GatewayNetworkingK8sIoV1alpha2TLSRoute_1 = require("../../_schemas/GatewayNetworkingK8sIoV1alpha2TLSRoute.js");
/**
 * The TLSRoute resource is similar to TCPRoute, but can be configured to match against TLS-specific metadata. This allows more flexibility in matching streams for a given TLS listener.
 *  If you need to forward traffic to a single target for a TLS listener, you could choose to use a TCPRoute with a TLS listener.
 */
class TLSRoute extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: TLSRoute.apiVersion,
            kind: TLSRoute.kind,
            ...data
        });
    }
}
exports.TLSRoute = TLSRoute;
TLSRoute.apiVersion = "gateway.networking.k8s.io/v1alpha2";
TLSRoute.kind = "TLSRoute";
TLSRoute.is = (0, base_1.createTypeMetaGuard)(TLSRoute);
(0, base_1.setValidateFunc)(TLSRoute, GatewayNetworkingK8sIoV1alpha2TLSRoute_1.validate);
