"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UDPRoute = void 0;
const base_1 = require("@kubernetes-models/base");
const GatewayNetworkingK8sIoV1alpha2UDPRoute_1 = require("../../_schemas/GatewayNetworkingK8sIoV1alpha2UDPRoute.js");
/**
 * UDPRoute provides a way to route UDP traffic. When combined with a Gateway listener, it can be used to forward traffic on the port specified by the listener to a set of backends specified by the UDPRoute.
 */
class UDPRoute extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: UDPRoute.apiVersion,
            kind: UDPRoute.kind,
            ...data
        });
    }
}
exports.UDPRoute = UDPRoute;
UDPRoute.apiVersion = "gateway.networking.k8s.io/v1alpha2";
UDPRoute.kind = "UDPRoute";
UDPRoute.is = (0, base_1.createTypeMetaGuard)(UDPRoute);
(0, base_1.setValidateFunc)(UDPRoute, GatewayNetworkingK8sIoV1alpha2UDPRoute_1.validate);
