import { Model, setValidateFunc, createTypeMetaGuard } from "@kubernetes-models/base";
import { validate } from "../../_schemas/GatewayNetworkingK8sIoV1alpha2UDPRoute.mjs";
/**
 * UDPRoute provides a way to route UDP traffic. When combined with a Gateway listener, it can be used to forward traffic on the port specified by the listener to a set of backends specified by the UDPRoute.
 */
export class UDPRoute extends Model {
    constructor(data) {
        super({
            apiVersion: UDPRoute.apiVersion,
            kind: UDPRoute.kind,
            ...data
        });
    }
}
UDPRoute.apiVersion = "gateway.networking.k8s.io/v1alpha2";
UDPRoute.kind = "UDPRoute";
UDPRoute.is = createTypeMetaGuard(UDPRoute);
setValidateFunc(UDPRoute, validate);
