"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Gateway = void 0;
const base_1 = require("@kubernetes-models/base");
const GatewayNetworkingK8sIoV1beta1Gateway_1 = require("../../_schemas/GatewayNetworkingK8sIoV1beta1Gateway.js");
/**
 * Gateway represents an instance of a service-traffic handling infrastructure by binding Listeners to a set of IP addresses.
 */
class Gateway extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: Gateway.apiVersion,
            kind: Gateway.kind,
            ...data
        });
    }
}
exports.Gateway = Gateway;
Gateway.apiVersion = "gateway.networking.k8s.io/v1beta1";
Gateway.kind = "Gateway";
Gateway.is = (0, base_1.createTypeMetaGuard)(Gateway);
(0, base_1.setValidateFunc)(Gateway, GatewayNetworkingK8sIoV1beta1Gateway_1.validate);
