"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HTTPRoute = void 0;
const base_1 = require("@kubernetes-models/base");
const GatewayNetworkingK8sIoV1beta1HTTPRoute_1 = require("../../_schemas/GatewayNetworkingK8sIoV1beta1HTTPRoute.js");
/**
 * HTTPRoute provides a way to route HTTP requests. This includes the capability to match requests by hostname, path, header, or query param. Filters can be used to specify additional processing steps. Backends specify where matching requests should be routed.
 */
class HTTPRoute extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: HTTPRoute.apiVersion,
            kind: HTTPRoute.kind,
            ...data
        });
    }
}
exports.HTTPRoute = HTTPRoute;
HTTPRoute.apiVersion = "gateway.networking.k8s.io/v1beta1";
HTTPRoute.kind = "HTTPRoute";
HTTPRoute.is = (0, base_1.createTypeMetaGuard)(HTTPRoute);
(0, base_1.setValidateFunc)(HTTPRoute, GatewayNetworkingK8sIoV1beta1HTTPRoute_1.validate);
